Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## quicktime.io
Class AliasHandle

    java.lang.Object
      |
      +--quicktime.QTObject
            |
            +--quicktime.util.QTHandleRef
                  |
                  +--quicktime.io.AliasHandle

All Implemented Interfaces:
  quicktime.jdirect.InterfaceLib, quicktime.jdirect.PrimitivesLib, quicktime.jdirect.QuickTimeLib, com.apple.jdirect.SharedLibrary, quicktime.jdirect.SharedLibrary

public final class AliasHandle
extends QTHandleRef
implements quicktime.jdirect.QuickTimeLib

An alias handle represents a file - it maybe a minimal alias or an alias that will attempted to be resolved when used.

Fields inherited from interface quicktime.jdirect.QuickTimeLib
`JDirect_MacOSX, libraryInstance, name`

Method Summary
`static AliasHandle` | `fromDataRef(DataRef dr)` Converts an aliasDataRef type DataRef into an AliasHandle.
`boolean` | `isMinimal()` Returns true if the alias is a minimal alias, otherwise false
`QTFile` | `resolve()` This method will take an alias and will resolve it, returning the full path name of the resolved file.

Methods inherited from class quicktime.util.QTHandleRef
`copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyFromArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, copyToArray, fromCompressionDialogState, fromSCSequence, getBytes, getSize, inMemory, isLocked, lock, lockHigh, moveHigh, toQTPointer, toQTPointer, toString, unlock`

Methods inherited from class quicktime.QTObject
`disposeQTObject, equals, ID`

Methods inherited from class java.lang.Object
`getClass, hashCode, notify, notifyAll, wait, wait, wait`

Method Detail

### fromDataRef

    public static AliasHandle fromDataRef(DataRef dr)
                                   throws QTException

  Converts an aliasDataRef type DataRef into an AliasHandle. This does not copy the alias DataRef so any changes that are made to the Alias will effect the DataRef as well.
  Parameters:
    `the` - DataRef
  Returns:
    the AliasHandle

### isMinimal

    public boolean isMinimal()

  Returns true if the alias is a minimal alias, otherwise false

### resolve

    public QTFile resolve()
                   throws QTException

  This method will take an alias and will resolve it, returning the full path name of the resolved file.
  QuickTime::ResolveAlias
  Returns:
    the QTFile object of the resolved alias

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD